Create or update a sales type override for a product

PUT /products/{id}/salestypeOverrides/{salesTypeId}

Headers

  • Authorization string Required

    Authorization header

Path parameters

  • id integer Required

    The ID of the product for which to create or update a sales type override

  • salesTypeId integer Required

    The ID of the sales type for which to create or update a sales type override

application/json

Body Required

  • accountNumber integer | null Required

    The account number that should be used instead of the default account number for the sales type (set to null to remove the override)

Responses

  • 200 application/json

    Sales type override created or updated successfully

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
    Hide response attributes Show response attributes object
    • productId integer Required

      The id of the product for which the override applies (see GET /products/{id})

    • salesTypeId integer Required

      The id of the sales type for which the override applies (see GET /salestypes/{id})

    • accountNumber integer Required

      The account number that should be used instead of the default account number for the sales type

  • 204

    Sales type override deleted successfully (or override did not exist)

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
PUT /products/{id}/salestypeOverrides/{salesTypeId}
curl \
 --request PUT 'https://rest.api.24sevenoffice.com/v1/products/{id}/salestypeOverrides/{salesTypeId}' \
 --header "Content-Type: application/json" \
 --header "Authorization: string" \
 --data '{"accountNumber":42}'
Request examples
# Headers
Authorization: string

# Payload
{
  "accountNumber": 42
}
Response examples (200)
# Headers
Access-Control-Allow-Origin: string
Access-Control-Allow-Credentials: string
X-Trace-Id: string

# Payload
{
  "productId": 42,
  "salesTypeId": 42,
  "accountNumber": 42
}